Alarm Manager Get Alarm State

Alarm Manager Get Alarm State
The state of instantiated alarms on the entity.

The state of instantiated alarms on the entity.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/AlarmManager/{moId}/GetAlarmState
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case AlarmManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
GetAlarmStateRequestType of type(s) application/json
Required

Show optional properties

{
    "entity": {}
}
{
    "entity": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
entity
Required

The entity.

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

The state of instantiated alarms.

[
    {
        "_typeName": "string",
        "key": "string",
        "entity": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "alarm": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "overallStatus": "string",
        "time": "string",
        "acknowledged": false,
        "acknowledgedByUser": "string",
        "acknowledgedTime": "string",
        "eventKey": 0,
        "disabled": false
    }
]
array of object
Optional

Information about the alarm's state.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"entity":"{}"}' https://{api_host}/sdk/vim25/{release}/AlarmManager/{moId}/GetAlarmState